  {
    inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    inputs.home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    inputs.nix-matlab.url = "gitlab:doronbehar/nix-matlab";
    # inputs.home-manager.url = "github:nix-community/home-manager";

    outputs = { self, nixpkgs, home-manager, nix-matlab, ... }@inputs:
      let
        system = "x86_64-linux";
      in {
        nixosConfigurations.nixos = nixpkgs.lib.nixosSystem {
          # inherit system;
          specialArgs = { inherit inputs system; };
          modules = [
            # Overlays-module makes "pkgs.unstable" available in configuration.nix
            ({ config, pkgs, ... }: {
              nixpkgs.overlays = [ nix-matlab.overlay ];
            })
            ./configuration.nix
          ];
        };
      };
  }
